'use strict';

import './Utilties/defaultInjection';
import React from 'react';
import {extendCreateElement} from './StyleSheet/StyleSheet.web';

// proxy origin react createElement
extendCreateElement(React);

// React
export * from 'react';
export * from 'react-native-web';

// Components
// export ActivityIndicator from './ActivityIndicator/ActivityIndicator';
// export Image from './Image/Image';
export ListView from './Lists/ListView/ListView';
// export Modal from './Modal/Modal';
// export PickerIOS from './Picker/Picker';
// export ScrollView from './ScrollView/ScrollView';
// export SliderIOS from './Slider/Slider';
// export Switch from './Switch/Switch';
// export SwitchAndroid from './Switch/Switch';
// export SwitchIOS from './Switch/Switch';
// export Text from './Text/Text';
// export TextInput from './TextInput/TextInput';
// export ToastAndroid from './Toast/Toast';
// export Touchable from './Touchable/Touchable';
// export TouchableHighlight from './Touchable/TouchableHighlight';
// export TouchableOpacity from './Touchable/TouchableOpacity';
// export TouchableWithoutFeedback from './Touchable/TouchableWithoutFeedback';
// export View from './View/View';
// export SafeAreaView from './View/View';
// export ViewPropTypes from './View/ViewPropTypes';
// export ViewPagerAndroid from './ViewPager/ViewPager.web';
// export WebView from './WebView/WebView.web';
// export KeyboardAvoidingView from './KeyboardAvoidingView';
// export AppState from './AppState/AppState';
// export FlatList from './Lists/FlatList';
// export SectionList from './Lists/SectionList';
// export Subscribable from './Subscribable/Subscribable';
// APIs
// export Alert from './Alert/Alert';
// export AlertIOS from './Alert/Alert';
// export StatusBar from './StatusBar/StatusBar';
// export Animated from './Animated/Animated';
// export AppRegistry from './AppRegistry/AppRegistry';
// export AsyncStorage from './Storage/AsyncStorage';
// export Dimensions from './Dimensions/Dimensions';
// export Easing from './Easing/Easing.web';
// export InteractionManager from './Interaction/InteractionManager.web';
// export PanResponder from './PanResponder/PanResponder';
// export PixelRatio from './PixelRatio/PixelRatio';
// export StyleSheet from './StyleSheet/StyleSheet';
// export I18nManager from './I18nManager/I18nManager.web';
// export LayoutAnimation from './LayoutAnimation/LayoutAnimation.web';

// Plugins
export NativeModules from './NativeModules/NativeModules.web';
try{
    var version = require('../../../../web/version.json');
    var config = require('../../../../web/config.js');
}catch(e) {

}

/*
*
* 上报埋点
*
*/

try{
    var sendClickDataForWeb = function(eventId, event_param, page_id, page_param, level) {
        const sendData = new Promise((resolve, reject) => {
            if (typeof MPing === 'undefined') {
                return resolve();
            }
            try {
                var click = new MPing.inputs.Click(eventId); // 构造click 请求
                click.event_param = event_param; // 设置click的参数
                click.page_id = page_id;
                click.page_param = page_param; // 设置click的参数
                level && (click.event_level = level);
                click.page_name = location.href.replace(/\?.*/gi, '');
                click.updateEventSeries(); // 更新事件串
                var mping = new MPing(); // 构造上报实例
                mping.send(click, resolve); // 上报click
            } catch (e) {
                resolve();
            }
        });
        const timeout = new Promise((resolve, reject) => {
            setTimeout(resolve, 300);
        });
        return Promise.race([sendData, timeout]);
    }

    let entry = config.build.entry;
    let entryFile = entry.substring(entry.lastIndexOf('\/')+1, entry.indexOf('.'));
    try{
        let {moduleName = entryFile, moduleCode = '00.00'} = version;
        if(moduleName && moduleCode){
            sendClickDataForWeb('JDReact_StartReactModule', moduleName + '_' + moduleCode, '', '', '');
        }
    }catch(err){
        sendClickDataForWeb('JDReact_StartReactModule', entryFile+ '_00.00', '', '', '');
    }

}catch(err) {
    console.log('上报埋点失败');
}
